export * from './api';
export declare const schema: {
    "$schema": string;
    "$id": string;
    "title": string;
    "type": string;
    "required": string[];
    "additionalProperties": boolean;
    "properties": {
        "schemaVersion": {
            "id": string;
            "type": string;
            "title": string;
            "examples": string[];
        };
        "thresholds": {
            "$id": string;
            "type": string;
            "title": string;
            "required": string[];
            "additionalProperties": boolean;
            "properties": {
                "high": {
                    "id": string;
                    "type": string;
                    "title": string;
                    "minimum": number;
                    "maximum": number;
                    "examples": number[];
                };
                "low": {
                    "id": string;
                    "type": string;
                    "title": string;
                    "minimum": number;
                    "maximum": number;
                    "examples": number[];
                };
            };
        };
        "files": {
            "$id": string;
            "type": string;
            "title": string;
            "definitions": {
                "position": {
                    "type": string;
                    "title": string;
                    "required": string[];
                    "additionalProperties": boolean;
                    "properties": {
                        "line": {
                            "type": string;
                            "minimum": number;
                            "examples": number[];
                        };
                        "column": {
                            "type": string;
                            "minimum": number;
                            "examples": number[];
                        };
                    };
                };
            };
            "additionalProperties": {
                "$id": string;
                "type": string;
                "title": string;
                "required": string[];
                "additionalProperties": boolean;
                "properties": {
                    "language": {
                        "$id": string;
                        "type": string;
                        "title": string;
                        "examples": string[];
                    };
                    "source": {
                        "$id": string;
                        "type": string;
                        "title": string;
                        "examples": string[];
                    };
                    "mutants": {
                        "$id": string;
                        "type": string;
                        "uniqueItems": boolean;
                        "items": {
                            "$id": string;
                            "type": string;
                            "title": string;
                            "required": string[];
                            "additionalProperties": boolean;
                            "properties": {
                                "id": {
                                    "$id": string;
                                    "type": string;
                                    "title": string;
                                    "examples": string[];
                                };
                                "mutatorName": {
                                    "$id": string;
                                    "type": string;
                                    "title": string;
                                    "examples": string[];
                                };
                                "replacement": {
                                    "$id": string;
                                    "type": string;
                                    "title": string;
                                    "examples": string[];
                                };
                                "location": {
                                    "$id": string;
                                    "type": string;
                                    "title": string;
                                    "required": string[];
                                    "additionalProperties": boolean;
                                    "properties": {
                                        "start": {
                                            "$ref": string;
                                            "$id": string;
                                            "title": string;
                                        };
                                        "end": {
                                            "$ref": string;
                                            "$id": string;
                                            "type": string;
                                            "title": string;
                                        };
                                    };
                                };
                                "status": {
                                    "$id": string;
                                    "type": string;
                                    "title": string;
                                    "enum": string[];
                                    "examples": string[];
                                };
                            };
                        };
                    };
                };
            };
        };
    };
};
